package com.muyu.fence.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 电子围栏对象 tb_fence
 *
 * @author muyu
 * @date 2024-09-18
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("tb_fence")
public class TbFence extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 围栏编号 */
    @TableId( type = IdType.AUTO)
    private Long fenceId;

    /** 围栏名称 */
    @Excel(name = "围栏名称")
    private String fenceName;

    /** 围栏类型1.驶入2驶出 */
    @Excel(name = "围栏类型1.驶入2驶出")
    private Long fenceType;

    /** 围栏状态1.正常2.停用 */
    @Excel(name = "围栏状态1.正常2.停用")
    private Long fenceFlag;

    /** 经纬度信息 */
    @Excel(name = "经纬度信息")
    private String longitudeAndLatitudeInformation;

    /** 优先级 */
    @Excel(name = "优先级")
    private Long fencePriority;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fenceId", getFenceId())
            .append("fenceName", getFenceName())
            .append("fenceType", getFenceType())
            .append("fenceFlag", getFenceFlag())
            .append("longitudeAndLatitudeInformation", getLongitudeAndLatitudeInformation())
            .append("fencePriority", getFencePriority())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
